Name:          x2goclient
Version:       4.1.0.0
Release:       2mamba
Summary:       x2go GUI client
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://wiki.x2go.org/
Source:        http://code.x2go.org/releases/source/x2goclient/x2goclient-%{version}.tar.gz
Patch0:        x2goclient-4.1.0.0-sftp-server-openmamba-path.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXpm-devel
BuildRequires: libcups-devel
BuildRequires: libgcc
BuildRequires: libopenldap-devel
BuildRequires: libqt4-devel
BuildRequires: libssh-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: man2html
Requires:      nxproxy
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
X2Go enables you to access a graphical desktop of a computer over a low bandwidth (or high bandwidth) connection.
This package provides the GUI client.

%debug_package

%prep
%setup -q
%patch0 -p1

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   PREFIX=%{_prefix} \
   MOZPLUGDIR=%{_libdir}/mozilla/plugins \
   INSTALL_DIR="install -d -m755" \
   INSTALL_FILE="install -m0644" \
   INSTALL_PROGRAM="install -m0755"

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/x2go
%dir %{_sysconfdir}/x2go/plugin-provider
%config %{_sysconfdir}/x2go/plugin-provider/x2goplugin.html
%config %{_sysconfdir}/x2go/x2goplugin-apache.conf
%{_bindir}/x2goclient
%{_libdir}/mozilla/plugins/libx2goplugin.so
%dir %{_datadir}/x2go
%dir %{_datadir}/x2go/plugin
%{_datadir}/x2go/plugin/x2goplugin.html
%dir %{_datadir}/x2goclient
%dir %{_datadir}/x2goclient/icons
%{_datadir}/x2goclient/icons/x2go*
%{_datadir}/applications/x2goclient.desktop
%{_datadir}/icons/hicolor/*/apps/x2goclient.png
%{_mandir}/man1/x2goclient.1*
%doc AUTHORS COPYING LICENSE
#% doc ChangeLog README.OpenSSL-Exception

%changelog
* Sun Mar 12 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.0.0-2mamba
- added patch to find sftp-server in openmamba

* Wed Mar 08 2017 Automatic Build System <autodist@mambasoft.it> 4.1.0.0-1mamba
- automatic version update by autodist

* Mon Sep 26 2016 Automatic Build System <autodist@mambasoft.it> 4.0.5.2-1mamba
- automatic version update by autodist

* Fri Mar 25 2016 Automatic Build System <autodist@mambasoft.it> 4.0.5.1-1mamba
- automatic version update by autodist

* Thu Mar 24 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.5.0-2mamba
- require nxproxy

* Tue Jul 28 2015 Automatic Build System <autodist@mambasoft.it> 4.0.5.0-1mamba
- automatic version update by autodist

* Sun May 31 2015 Automatic Build System <autodist@mambasoft.it> 4.0.4.0-1mamba
- automatic version update by autodist

* Fri Feb 20 2015 Automatic Build System <autodist@mambasoft.it> 4.0.3.2-1mamba
- automatic version update by autodist

* Sun Nov 30 2014 Automatic Build System <autodist@mambasoft.it> 4.0.3.1-1mamba
- automatic version update by autodist

* Wed Oct 22 2014 Automatic Build System <autodist@mambasoft.it> 4.0.3.0-1mamba
- automatic version update by autodist

* Fri Oct 03 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.2.1-1mamba
- package created using the webbuild interface
